VME BPM - Task #9664

Devices for averaged position over the whole spill
07/17/2015 02:07 PM - John Diamond

Status: Closed Start date: 07/17/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 16.00 hours
Target version: Spent time: 7.25 hours
Description

Requested by Adam.

History

#1 - 09/08/2015 03:23 PM - John Diamond
- Assignee set to John Diamond

- % Done changed from 0 to 50

- Estimated time set to 16.00 h

Implemented a class for calculating the running average as slow data is collected by DAQPool at 720Hz.
The running average of the channel magnitude is stored in the BPMSample class along with the raw data.
Still need to make a ClassACNET accessor and ACNET devices to access the averages.

#2 - 09/14/2015 04:24 PM - John Diamond
Added readPositionAvg(..) to Controller as | work on #10100.

#3 - 11/08/2015 10:13 AM - John Diamond

Bumped the number of points to average up to 2880 (4 seconds worth) and created four devices on sbpmt9:

S:VPA90
S:HPA90
S:VPA94
S:HPA94

#4 - 11/08/2015 10:13 AM - John Diamond
- % Done changed from 50 to 80

#5 - 11/09/2015 09:22 AM - John Diamond

Changed number of points to average to 3118 (4.33 secs).

#6 - 11/15/2015 10:18 PM - John Diamond
- Status changed from New to Closed

- % Done changed from 80 to 100

Changed the implementation of RunAvgFilter to be a simple average of the position over the entire spill, as this meets the requirements better.
